Bug 8910 - silent warnings triggered in about.pl
Summary: silent warnings triggered in about.pl
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: About (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low minor (vote)
Assignee: M. Tompsett
QA Contact: Paul Poulain
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-12 06:17 UTC by M. Tompsett
Modified: 2013-12-05 20:01 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8910 - silent warnings triggered in about.pl (1.02 KB, patch)
2012-10-12 06:35 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 8910 - silent warnings triggered in about.pl (1.08 KB, patch)
2012-10-12 13:33 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description M. Tompsett 2012-10-12 06:17:43 UTC
The code for finding the apache version may trigger silent warnings into the error log if something other than httpd is used as the web server. A simple 2> /dev/null should fix it.

This exists in master, 3.8.x, and 3.6.x
Comment 1 M. Tompsett 2012-10-12 06:35:11 UTC Comment hidden (obsolete)
Comment 2 M. Tompsett 2012-10-12 06:42:29 UTC
I have confirmed this patch applies cleanly to master, 3.8.x, and 3.6.x.
Comment 3 Kyle M Hall 2012-10-12 13:33:51 UTC
Created attachment 12782 [details] [review]
Bug 8910 - silent warnings triggered in about.pl

In order to detect the apache version, there are multiple
commands used. These may not all exist, which triggers error log
entries. By simply adding " 2> /dev/null", the errors are no
longer generated.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Paul Poulain 2012-10-25 12:41:25 UTC
QA comment: tiny patch, nothing specific from QA pov

passed QA
Comment 5 Paul Poulain 2012-10-25 12:41:45 UTC
Patch pushed to master (tested it works under Plack)
Comment 6 Chris Cormack 2012-10-27 01:13:48 UTC
Pushed to 3.8.x will be in 3.8.7
Comment 7 Liz Rea 2012-11-18 23:51:26 UTC
Pushed to 3.6.x will be in 3.6.11.